Skip to main content
POST
/
api
/
v1
/
tasks
Create task
curl --request POST \
  --url https://api.webscraping.titannet.io/api/v1/tasks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "objective": "<string>",
  "execution_type": "single",
  "urls": [
    "<string>"
  ],
  "output_schema": {},
  "schedule": {},
  "platform_url": "<string>",
  "keywords": [
    "<string>"
  ],
  "tags": [
    "<string>"
  ],
  "proxy_locations": [
    "<string>"
  ],
  "template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "template_slug": "<string>",
  "script_id": "<string>",
  "script_version": "<string>",
  "action_type": "search",
  "input_source": "static_urls",
  "limits": {},
  "payload": "<unknown>",
  "secret_payload": "<unknown>",
  "retry_policy": {},
  "execution_plan": {}
}
'
{
  "success": true,
  "data": "<unknown>"
}

Documentation Index

Fetch the complete documentation index at: https://webscraping.titannet.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
objective
string
required
execution_type
enum<string>
required
Available options:
single,
scheduled
urls
string<uri>[]
output_schema
object
schedule
object
platform_url
string
keywords
string[]
tags
string[]
proxy_locations
string[]
template_id
string<uuid>
template_slug
string
script_id
string
script_version
string
action_type
enum<string>
Available options:
search,
crawl,
scrape,
api_call
input_source
enum<string>
Available options:
static_urls,
previous_step,
task_url_inventory
limits
object
payload
any
secret_payload
any
retry_policy
object
execution_plan
object

Response

Created

success
boolean
data
any